LOAD DATA LOCAL INFILE 'Programmentwurf/E_nummern.csv' INTO TABLE Zusatzstoff
CHARACTER SET latin1
FIELDS terminated by ';'
LINES TERMINATED BY '\n'
(@e, @z, @dummy)
SET E_Nummer = TRIM(@e), Zusatzstoffbezeichnung = TRIM(@z)



LOAD DATA LOCAL INFILE 'Programmentwurf/MD_Produkte_Portionen.csv' INTO TABLE Produkt
CHARACTER SET latin1
FIELDS terminated by ';'
LINES TERMINATED BY '\n'
IGNORE 2 LINES
(@p, @dummy, @dummy)
SET Produktname = TRIM(@p);

# Delete last 4 Rows
DELETE FROM Produkt ORDER BY ProduktID DESC LIMIT 4;



LOAD DATA LOCAL INFILE 'Programmentwurf/MD_produkte_Allergene.csv' INTO TABLE Allergen
CHARACTER SET latin1
FIELDS terminated by ';'
LINES TERMINATED BY '\n'
IGNORE 2 LINES
(@a, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy)
SET Allergenbezeichnung = TRIM(@a);



LOAD DATA LOCAL INFILE 'Programmentwurf/Zusatzstoffe_Klassen.csv' INTO TABLE Zusatzstoffklase
CHARACTER SET latin1
FIELDS terminated by ';'
LINES TERMINATED BY '\n'
IGNORE 2 LINES
(@b, @g)
SET Anwendungsgrund = TRIM(@g), Anwendungsgrundbezeichnung = TRIM(@b);
